
namespace StartServerWPF.Modules.MseedChart.Models
{
    public class CoordBase
    {
        private double _x = 0.0;

        private double _y = 0.0;

        private double _z = 0.0;

        private double _md = 0.0;

        public double X
        {
            get
            {
                return _x;
            }
            set
            {
                _x = value;
            }
        }

        public double Y
        {
            get
            {
                return _y;
            }
            set
            {
                _y = value;
            }
        }

        public double Z
        {
            get
            {
                return _z;
            }
            set
            {
                _z = value;
            }
        }

        public double MD
        {
            get
            {
                return _md;
            }
            set
            {
                _md = value;
            }
        }
    }

    public enum FocalMechanismType
    {
        strikeSlip,
        dipSlip,
        tensile,
        unknown
    }
}
